Loading...
Searching...
No Matches
psa_verify_hash_interruptible_operation_s Struct Reference

The context for PSA interruptible hash verification. More...

`#include <crypto_struct.h>`

Collaboration diagram for psa_verify_hash_interruptible_operation_s:
[legend]

## Data Fields

unsigned int | private_id
psa_driver_verify_hash_interruptible_context_t | private_ctx
unsigned int | private_error_occurred: 1
uint32_t | private_num_ops

## Detailed Description

The context for PSA interruptible hash verification.

Definition at line 488 of file crypto_struct.h.

## Field Documentation

## private_ctx

psa_driver_verify_hash_interruptible_context_t psa_verify_hash_interruptible_operation_s::private_ctx

Definition at line 500 of file crypto_struct.h.

## private_error_occurred

unsigned int psa_verify_hash_interruptible_operation_s::private_error_occurred

Definition at line 502 of file crypto_struct.h.

## private_id

unsigned int psa_verify_hash_interruptible_operation_s::private_id

Unique ID indicating which driver got assigned to do the operation. Since driver contexts are driver-specific, swapping drivers halfway through the operation is not supported. ID values are auto-generated in psa_crypto_driver_wrappers.h ID value zero means the context is not valid or not assigned to any driver (i.e. none of the driver contexts are active).

Definition at line 498 of file crypto_struct.h.

## private_num_ops

uint32_t psa_verify_hash_interruptible_operation_s::private_num_ops

Definition at line 504 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h